cgDestroyProgram(3)

NAME
cgDestroyProgram - destroy a program

SYNOPSIS
  #include <Cg/cg.h>
  void cgDestroyProgram( CGprogram program );

PARAMETERS

program
    The program object to delete.

RETURN VALUES
None.

DESCRIPTION
cgDestroyProgram removes the specified program object and all its associated data. Any CGprogram variables that reference this program will become invalid after the program is deleted. Likewise, any objects contained by this program (e.g. CGparameter objects) will also become invalid after the program is deleted.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgDestroyProgram was introduced in Cg 1.1.

SEE ALSO
the cgCreateProgram manpage, the cgCreateProgramFromFile manpage